Bug 770868 - (CVE-2011-3657, CVE-2011-3667, CVE-2011-3668, CVE-2011-3669) CVE-2011-3657 CVE-2011-3667 CVE-2011-3668 CVE-2011-3669 bugzilla: multiple security flaws fixed in 4.1.3, 4.0.2, 3.6.6, and 3.4.12
CVE-2011-3657 CVE-2011-3667 CVE-2011-3668 CVE-2011-3669 bugzilla: multiple se...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111229,repor...
: Security
Depends On: 771402 771403
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-29 15:45 EST by Kurt Seifried
Modified: 2015-07-27 09:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 13:24:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2011-12-29 15:45:27 EST
http://www.bugzilla.org/security/3.4.12/

Vulnerability Details
=====================

Class:       Cross-Site Scripting
Versions:    2.17.1 to 3.4.12, 3.5.1 to 3.6.6, 3.7.1 to 4.0.2,
             4.1.1 to 4.1.3
Fixed In:    3.4.13, 3.6.7, 4.0.3, 4.2rc1
Description: Tabular and graphical reports, as well as new charts have
             a debug mode which displays raw data as plain text. This
             text is not correctly escaped and a crafted URL could
             use this vulnerability to inject code leading to XSS.
References:  https://bugzilla.mozilla.org/show_bug.cgi?id=697699
CVE Number:  CVE-2011-3657

Class:       Unauthorized Account Creation
Versions:    2.23.3 to 3.4.12, 3.5.1 to 3.6.6, 3.7.1 to 4.0.2,
             4.1.1 to 4.1.3
Fixed In:    3.4.13, 3.6.7, 4.0.3, 4.2rc1
Description: The User.offer_account_by_email WebService method ignores
             the user_can_create_account setting of the authentication
             method and generates an email with a token in it which the
             user can use to create an account. Depending on the
             authentication method being active, this could allow the
             user to log in using this account.
             Installations where the createemailregexp parameter is
             empty are not vulnerable to this issue.
References:  https://bugzilla.mozilla.org/show_bug.cgi?id=711714
CVE Number:  CVE-2011-3667

Class:       Cross-Site Request Forgery
Versions:    2.0 to 3.4.12, 3.5.1 to 3.6.6, 3.7.1 to 4.0.2,
             4.1.1 to 4.1.3
Fixed In:    4.2rc1
Description: The creation of bug reports and of attachments is not
             protected by a token and so they can be created without
             the consent of a user if the relevant code is embedded
             in an HTML page and the user visits this page. This
             behavior was intentional to let third-party applications
             submit new bug reports and attachments easily. But as this
             behavior can be abused by a malicious user, it has been
             decided to block submissions with no valid token starting
             from version 4.2rc1. Older branches are not patched to not
             break these third-party applications after the upgrade.
References:  https://bugzilla.mozilla.org/show_bug.cgi?id=703975
             https://bugzilla.mozilla.org/show_bug.cgi?id=703983
CVE Number:  none
Comment 1 Vincent Danen 2012-01-03 10:58:02 EST
The CSRF flaws were assigned CVEs as follows:

CVE-2011-3668: CSRF in post_bug.cgi (https://bugzilla.mozilla.org/show_bug.cgi?id=703975)

CVE-2011-3669: CSRF in attachment.cgi (https://bugzilla.mozilla.org/show_bug.cgi?id=703983)
Comment 2 Vincent Danen 2012-01-03 10:59:31 EST
Created bugzilla tracking bugs for this issue

Affects: fedora-all [bug 771402]
Affects: epel-all [bug 771403]
Comment 3 Fedora Update System 2012-02-04 16:02:08 EST
bugzilla-3.2.10-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-02-04 16:02:57 EST
bugzilla-3.4.13-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.